typedef struct m_double {
	int li,co;   /* nombre de colonnes, lignes */
	double** content;  /* permet d'accéder aux éléments */
} m_double;

void resize(m_double* mat,int li,int co);
m_double* new_matrix(int li,int co);
m_double* transpose(m_double* m);
m_double* add(m_double* m1,m_double* m2);
m_double* mult(m_double* m1,m_double* m2);
void free_matrix(m_double* m);
void print(m_double* m,char* filename);
void format(m_double* m);
m_double* rnd(int li,int co,
              double inf,double sup);
m_double* rnd_int(int li,int co,
                 int inf,int sup);
      
m_double* from_file(const char* filename);
